<?php

namespace App\Console;

use App\Jobs\ProcessMonthlyEmployerPayment;
use App\Jobs\ChargeEmployerACH;
use App\Models\EmployerPaymentMethod;
use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;
use Illuminate\Support\Carbon;
use App\Models\EmploymentOffer;
use App\Models\PaymentTransaction;
use App\Models\RwStripeAccount;
use App\Traits\GeneralHelper;

class Kernel extends ConsoleKernel
{
    use GeneralHelper;

    /**
     * Define the application's command schedule.
     */
    protected function schedule(Schedule $schedule)
    {
        $schedule->call(function () {
            app(VoucherController::class)->revealDigits();
        })->everyFiveMinutes();
    }
    /**
    * Register the commands for the application.
    */
    protected function commands(): void
    {
        $this->load(__DIR__ . '/Commands');

        require base_path('routes/console.php');
    }
}
