<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Payment;
use Illuminate\Support\Facades\Http;

class USDTController extends Controller
{
    public function checkPayment(Request $request)
    {
        $user = Auth::user();
        $amount = $request->amount;
        $txid = $request->txid;

        // Fetch transaction details from TRON blockchain
        $response = Http::get(env('TRON_NODE_URL')."/v1/accounts/{$user->tron_wallet}/transactions");

        $transactions = $response->json()['data'];
        foreach ($transactions as $transaction) {
            if ($transaction['txID'] == $txid && $transaction['amount'] == $amount * 1000000) {
                Membership::create([
                    'user_id' => $user->id,
                    'plan' => $request->plan,
                    'expires_at' => now()->addMonth(),
                ]);
                return response()->json(['status' => 'success']);
            }
        }

        return response()->json(['status' => 'failed']);
    }

    public function verifyUSDT()
    {
        $payments = Payment::where('status', 'pending')->where('method', 'usdt')->get();

        foreach ($payments as $payment) {
            $response = Http::get(env('TRON_NODE') . "/v1/accounts/" . env('YOUR_TRON_ADDRESS'));

            $transactions = $response->json()['data'];

            foreach ($transactions as $tx) {
                if ($tx['raw_data']['contract'][0]['parameter']['value']['amount'] / 1000000 == $payment->amount) {
                    $payment->update(['status' => 'completed']);
                }
            }
        }
    }
}
