<?php

namespace App\Traits\Auth;

use App\Models\User;
use Illuminate\Support\Facades\Hash;

trait UserRegistrationTrait
{
    /**
     * Add user into user table.
     */
    public function createUser($request)
    {

        try {
            $firstName = ucfirst($request->input('firstname'));
            $lastName = ucfirst($request->input('lastname'));
            $userData = User::create([
                'firstname' => $firstName,
                'lastname' => $lastName,
                'email' => $request->input('email'),
                'password' => Hash::make($request->input('password')),
                'phone_number' => $request->input('phone_number'),
                'status' => 'Pending Approval'
            ]);
            return $userData;
        } catch (\Exception $e) {
            return response()->json([
               'status' => false,
               'message' => $e->getMessage()
            ]);
        }
    }
}
