<?php

namespace App\Traits;

use App\Exceptions\GeneralJsonException;
use GuzzleHttp\Client;
use GuzzleHttp\Psr7\Request;
use GuzzleHttp\Exception\ClientException;
use Illuminate\Support\Facades\Log;

trait MakeExternalRequests
{
    /**
     * Send a request to any service
     * @return string
     */
    public function makeRequest($method, $requestUrl, $formParams = [], $headers = [])
    {

        try {
              $client = new Client();
              $headers = empty($headers) ? [] : $headers;
              $request = new Request($method, $requestUrl, $headers);
              $createRequest = $client->sendAsync($request, $formParams)->wait();
              $response = $createRequest->getBody();
                return [
                    'status' => true,
                    'statusCode' =>  $createRequest->getStatusCode(),
                    'data' => $response->getContents()
                ];
        } catch (ClientException $e) {
            $checkLogin = auth('sanctum')->check() ? "Auth" : "Guest";
            $userId = $checkLogin == 'Auth' ? auth()->user()->id : '';
            Log::info('UUID:-' . $userId . ':' . $e);
            $response = $e->getResponse();
            if (\request()->path() == 'api/v1/employer/hirestaff/retry-payment') {
                throw $e;
            }
            if (\request()->path() == 'api/v1/employer/hirestaff') {
                throw $e;
            }
            if (\request()->path() == 'api/v1/invoice/process-employer-invoice') {
                throw $e;
            }
            if (\request()->path() == 'api/v1/bpo/stripe/create-account') {
                throw $e;
            }
            if (\request()->path() == 'api/v1/agent/stripe/create-account') {
                throw $e;
            }
            if (\request()->path() == 'api/v1/bizassociate/stripe/create-account') {
                throw $e;
            }
            // if (preg_match('/^api\/v1\/agent\/bankinfo\/update\/\d+$/', request()->path())) {
            //     throw $e;
            // }
            throw new GeneralJsonException($response->getBody()->getContents(), $response->getStatusCode());
        } catch (\Exception $e) {
            Log::info('eXCEPTO:-' . $e);
            if (\request()->path() == 'api/v1/employer/hirestaff') {
                throw $e;
            }
            $responseBody = '';
            // Check if the exception has a getResponse() method
            if (method_exists($e, 'getResponse')) {
                $response = $e->getResponse();
                // Ensure the response is available and retrieve its content
                if ($response && method_exists($response, 'getBody')) {
                    $responseBody = json_decode($response->getBody()->getContents(), true);
                }
            }
            $errorMessage = $responseBody['message'] ?? 'An error occurred while processing the request.';
            throw new GeneralJsonException($errorMessage, $responseBody['status_code'] ?? $e->getCode());
        }
    }
}
