<?php

namespace App\Traits\Notification;

use App\Models\Message;

trait InAppMessage
{
     /**
     * send message to any user
     * @return string
     */

    public function sendInAppMessage($to, $from, $message, $title)
    {
        try {
            Message::create([
                'sender_id' => $from,
                'receiver_id' => $to,
                'title' => $title,
                'body' => $message,
                'status' => 'Message Sent'
             ]);

             return response()->json([
                'status' => true,
                'message' => 'Notification sent'
             ]);
        } catch (\Exception $e) {
            return response()->json([
              'status' => false,
              'data' => $e->getMessage()
            ]);
        }
    }
}
