<?php

namespace App\Traits\Payment;

use App\Traits\MakeExternalRequests;
use App\Traits\GenerateRequestToken;
use App\Exceptions\GeneralJsonException;

trait StripeFeesTrait
{
    use MakeExternalRequests;
    use GenerateRequestToken;

     /**
     * generates onetime token
     * @return string
     */

    public function getStripeFees($amount, $token)
    {

        if ($token == '') {
            $token = $this->generatePaymentRequestToken();
        }
        $feeData = ['json' => [
            'amount' => $amount
        ]];

        $headers = [
            'Authorization' => "Bearer " . $token . ""
        ];

        $url = config('endpoints.rwpayEndpoint') . '/calculations/fee';
        $stripeFees = $this->makeRequest('POST', $url, $feeData, $headers);

        return $stripeFees;
    }
}
