<?php

namespace App\Traits;

use Illuminate\Support\Facades\Hash;

trait RwFormInputHelper
{
    public function reformatInputData($existingData, $newInput)
    {
        return $newInput ? $newInput : $existingData;
    }

    public function reformatInputArrayData($existingData, $newInput, $fieldName)
    {
        return $newInput ? $newInput : ($existingData != null ? $existingData[$fieldName] : null);
    }

    public function changeUserPassword($inputedOldPassword, $oldPassword, $newPassword)
    {
        try {
            if (!Hash::check($inputedOldPassword, $oldPassword)) {
                return false;
            } else {
                return  Hash::make($newPassword);
            }
        } catch (\Exception $e) {
            return response()->json([
            'status' => false,
            'data' => $e->getMessage()
            ]);
        }
    }
}
