<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up()
    {
        Schema::create('vouchers', function (Blueprint $table) {
            $table->id();
            $table->string('type'); // e.g., airtime, electricity
            $table->string('code'); // Full voucher code
            $table->integer('amount'); // Value of voucher
            $table->string('masked_code'); // Partially hidden code
            $table->enum('status', ['active', 'claimed', 'expired'])->default('active');
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('vouchers');
    }
};
