<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up() {
        Schema::table('vouchers', function (Blueprint $table) {
            if (!Schema::hasColumn('vouchers', 'type')) {
                $table->string('type')->after('id'); // e.g., airtime, electricity
            }
            if (!Schema::hasColumn('vouchers', 'amount')) {
                $table->integer('amount')->after('code'); // Value of voucher
            }
            if (!Schema::hasColumn('vouchers', 'status')) {
                $table->enum('status', ['active', 'claimed', 'expired'])->default('active')->after('masked_code');
            }
            if (!Schema::hasColumn('vouchers', 'revealed_digits')) {
                $table->integer('revealed_digits')->default(0)->after('masked_code'); // Track digits revealed
            }
        });
    }

    public function down() {
        Schema::table('vouchers', function (Blueprint $table) {
            $table->dropColumn(['type', 'amount', 'status', 'revealed_digits']);
        });
    }
};

