import sys
import json
import spacy

nlp = spacy.load("en_core_web_sm")

def extract_skills(text):
    doc = nlp(text)
    skills = [token.text for token in doc if token.pos_ in ["NOUN", "PROPN"]]
    return list(set(skills))  # Unique skills

if __name__ == "__main__":
    job_description = sys.stdin.read().strip()
    skills = extract_skills(job_description)
    print(json.dumps(skills))
