import puppeteer from 'puppeteer';


(async () => {
  const browser = await puppeteer.launch({
    executablePath: '/usr/bin/chromium-browser', // Use the correct path
    headless: true,
    args: [
      '--no-sandbox',
      '--disable-setuid-sandbox',
      '--disable-gpu',
      '--disable-dev-shm-usage',
      '--disable-extensions',
      '--disable-background-networking',
      '--disable-sync',
      '--disable-translate',
      '--disable-blink-features=AutomationControlled',
      '--disable-features=AudioServiceOutOfProcess',
      '--remote-debugging-port=9222'
    ],
    env: {
      DBUS_SESSION_BUS_ADDRESS: '', // Prevent DBus errors
    }
  });

  const page = await browser.newPage();
  await page.goto('https://www.google.com');
  console.log(await page.title());

  await browser.close();
})();